Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.trace
Class PrintTraceListener

    java.lang.Object
      |
      +--weblogic.apache.xalan.trace.PrintTraceListener

public class PrintTraceListener
extends java.lang.Object
implements TraceListener

Implementation of the TraceListener interface that prints each event to standard out as it occurs.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  `TracerEvent`

Field Summary
`boolean` | `m_traceElements` Set to true if the listener is to print events that occur as each node is 'executed' in the stylesheet.
`boolean` | `m_traceGeneration` Set to true if the listener is to print information after each result-tree generation event.
`boolean` | `m_traceSelection` Set to true if the listener is to print information after each selection event.
`boolean` | `m_traceTemplates` This needs to be set to true if the listener is to print an event whenever a template is invoked.

Constructor Summary
`PrintTraceListener(java.io.PrintWriter pw)` Construct a trace listener.

Method Summary
`void` | `generated(GenerateEvent ev)` Print information about a Generate event.
`void` | `selected(SelectionEvent ev)` Method that is called just after a select attribute has been evaluated.
`void` | `trace(TracerEvent ev)` Print information about a TracerEvent.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_traceTemplates

    public boolean m_traceTemplates

  This needs to be set to true if the listener is to print an event whenever a template is invoked.

### m_traceElements

    public boolean m_traceElements

  Set to true if the listener is to print events that occur as each node is 'executed' in the stylesheet.

### m_traceGeneration

    public boolean m_traceGeneration

  Set to true if the listener is to print information after each result-tree generation event.

### m_traceSelection

    public boolean m_traceSelection

  Set to true if the listener is to print information after each selection event.

Constructor Detail

### PrintTraceListener

    public PrintTraceListener(java.io.PrintWriter pw)

  Construct a trace listener.

  Parameters:
    `pw` - PrintWriter to use for tracing events

Method Detail

### trace

    public void trace(TracerEvent ev)

  Print information about a TracerEvent.
  Specified by:
    trace in interface TraceListener

  Parameters:
    `ev` - the trace event.

### selected

    public void selected(SelectionEvent ev)
                  throws javax.xml.transform.TransformerException

  Method that is called just after a select attribute has been evaluated.
  Specified by:
    selected in interface TraceListener

  Parameters:
    `ev` - the generate event.
  Throws:
    javax.xml.transform.TransformerException -

### generated

    public void generated(GenerateEvent ev)

  Print information about a Generate event.
  Specified by:
    generated in interface TraceListener

  Parameters:
    `ev` - the trace event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference